CRAN Package Check Results for Package insight

Last updated on 2022-01-28 10:53:16 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.15.0 24.72 407.34 432.06 OK
r-devel-linux-x86_64-debian-gcc 0.15.0 21.67 290.58 312.25 OK
r-devel-linux-x86_64-fedora-clang 0.15.0 394.15 OK
r-devel-linux-x86_64-fedora-gcc 0.15.0 341.79 OK
r-devel-windows-x86_64-new-UL 0.15.0 399.00 459.00 858.00 OK
r-devel-windows-x86_64-new-TK 0.15.0 ERROR
r-patched-linux-x86_64 0.15.0 24.55 372.64 397.19 OK
r-release-linux-x86_64 0.15.0 25.17 363.30 388.47 OK
r-release-macos-arm64 0.15.0 OK
r-release-macos-x86_64 0.15.0 WARN --as-cran
r-release-windows-ix86+x86_64 0.15.0 40.00 469.00 509.00 OK
r-oldrel-macos-x86_64 0.15.0 OK
r-oldrel-windows-ix86+x86_64 0.15.0 40.00 455.00 495.00 OK

Check Details

Version: 0.15.0
Check: package dependencies
Result: NOTE
    Packages suggested but not available for checking:
     'AER', 'afex', 'blme', 'cgam', 'gamm4', 'glmmTMB', 'ivreg', 'lme4',
     'merTools', 'panelr', 'robustlmm', 'rstanarm'
Flavor: r-devel-windows-x86_64-new-TK

Version: 0.15.0
Check: tests
Result: ERROR
     Running 'spelling.R'
     Running 'testthat.R'
    Running the tests in 'tests/testthat.R' failed.
    Complete output:
     > if (require("testthat")) {
     + library(insight)
     +
     + is_dev_version <- length(strsplit(packageDescription("insight")$Version, "\\.")[[1]]) > 3
     +
     + if (is_dev_version) {
     + Sys.setenv("RunAllinsightTests" = "yes")
     + } else {
     + Sys.setenv("RunAllinsightTests" = "no")
     + }
     + si <- Sys.info()
     +
     + osx <- tryCatch(
     + {
     + if (!is.null(si["sysname"])) {
     + si["sysname"] == "Darwin" || grepl("^darwin", R.version$os)
     + } else {
     + FALSE
     + }
     + },
     + error = function(e) {
     + FALSE
     + }
     + )
     +
     + solaris <- tryCatch(
     + {
     + if (!is.null(si["sysname"])) {
     + grepl("SunOS", si["sysname"], ignore.case = TRUE)
     + } else {
     + FALSE
     + }
     + },
     + error = function(e) {
     + FALSE
     + }
     + )
     +
     + # disable / enable if needed
     + if (.Platform$OS.type == "unix" && is_dev_version) {
     + Sys.setenv("RunAllinsightStanTests" = "yes")
     + } else {
     + Sys.setenv("RunAllinsightStanTests" = "no")
     + }
     +
     + if (!osx && !solaris) {
     + test_check("insight")
     + }
     + }
     Loading required package: testthat
     [ FAIL 2 | WARN 31 | SKIP 9 | PASS 1510 ]
    
     ══ Skipped tests ═══════════════════════════════════════════════════════════════
     • On CRAN (1)
     • glmmTMB cannot be loaded (1)
     • isFALSE(run_stan) is TRUE (4)
     • lme4 cannot be loaded (3)
    
     ══ Failed tests ════════════════════════════════════════════════════════════════
     ── Failure (test-clmm.R:183:7): get_variance ───────────────────────────────────
     get_variance(m1) (`actual`) not equal to list(...) (`expected`).
    
     `actual` is NULL
     `expected` is a list
     ── Failure (test-clmm.R:195:7): get_variance ───────────────────────────────────
     get_variance(m2) (`actual`) not equal to list(...) (`expected`).
    
     `actual` is NULL
     `expected` is a list
    
     [ FAIL 2 | WARN 31 | SKIP 9 | PASS 1510 ]
     Error: Test failures
     Execution halted
Flavor: r-devel-windows-x86_64-new-TK

Version: 0.15.0
Flags: --as-cran
Check: CRAN incoming feasibility
Result: WARN
    Maintainer: ‘Daniel Lüdecke <d.luedecke@uke.de>’
    
    Insufficient package version (submitted: 0.15.0, existing: 0.15.0)
    
    Days since last update: 1
Flavor: r-release-macos-x86_64

Version: 0.15.0
Flags: --as-cran
Check: top-level files
Result: NOTE
    Files ‘README.md’ or ‘NEWS.md’ cannot be checked without ‘pandoc’ being installed.
Flavor: r-release-macos-x86_64